Name:           python-genx3server
Version:        3.7.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        X-ray and Neutron reflectivity fitting software. Non-GUI only package for servers.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://genx.sourceforge.net/
Source:         %{pypi_source genx3server}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'genx3server' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-genx3server
Summary:        %{summary}

%description -n python3-genx3server %_description


%prep
%autosetup -p1 -n genx3server-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-genx3server -f %{pyproject_files}


%changelog
%autochangelog